--- acid_graph_form.php.yearfix	2004-10-11 09:32:42.000000000 +0100
+++ acid_graph_form.php	2004-10-11 09:45:17.000000000 +0100
@@ -99,14 +99,12 @@
          <OPTION VALUE="12" '.chk_select($chart_begin_month, "12").'>December
         </SELECT>
         <SELECT NAME="chart_begin_year">
-        <OPTION VALUE=" " '.chk_select($chart_begin_year, " ").'>{year}
-        <OPTION VALUE="1999" '.chk_select($chart_begin_year, "1999").'>1999
-        <OPTION VALUE="2000" '.chk_select($chart_begin_year, "2000").'>2000
-        <OPTION VALUE="2001" '.chk_select($chart_begin_year, "2001").'>2001
-        <OPTION VALUE="2002" '.chk_select($chart_begin_year, "2002").'>2002
-        <OPTION VALUE="2003" '.chk_select($chart_begin_year, "2003").'>2003
-        <OPTION VALUE="2004" '.chk_select($chart_begin_year, "2004").'>2004
-        </SELECT>';
+        <OPTION VALUE=" " '.chk_select($chart_begin_year, " ").'>{year}';
+        $curryear=date("Y");
+        for($year=1999; $year<=$curryear; $year++) {
+           echo '<OPTION VALUE="'.$year.'" '.chk_select($chart_begin_year, $year).'>'.$year;
+        }
+        echo '</SELECT>';
 
   echo '<br><b>Chart End:</B>&nbsp;&nbsp;&nbsp;&nbsp;
         <SELECT NAME="chart_end_hour">
@@ -137,14 +135,12 @@
          <OPTION VALUE="12" '.chk_select($chart_end_month, "12").'>December
         </SELECT>
         <SELECT NAME="chart_end_year">
-        <OPTION VALUE=" " '.chk_select($chart_end_year, " ").'>{year}
-        <OPTION VALUE="1999" '.chk_select($chart_end_year, "1999").'>1999
-        <OPTION VALUE="2000" '.chk_select($chart_end_year, "2000").'>2000
-        <OPTION VALUE="2001" '.chk_select($chart_end_year, "2001").'>2001
-        <OPTION VALUE="2002" '.chk_select($chart_end_year, "2002").'>2002
-        <OPTION VALUE="2003" '.chk_select($chart_end_year, "2003").'>2003
-        <OPTION VALUE="2004" '.chk_select($chart_end_year, "2004").'>2004
-        </SELECT>';
+        <OPTION VALUE=" " '.chk_select($chart_end_year, " ").'>{year}';
+        $curryear=date("Y");
+        for($year=1999; $year<=$curryear; $year++) {
+           echo '<OPTION VALUE="'.$year.'" '.chk_select($chart_end_year, $year).'>'.$year;
+        }
+        echo '</SELECT>';
 
   echo '<INPUT TYPE="submit" NAME="submit" VALUE="Graph Alerts"><BR>
         &nbsp;&nbsp; <BR>
--- acid_stat_time.php.yearfix	2004-10-11 09:33:12.000000000 +0100
+++ acid_stat_time.php	2004-10-11 09:40:41.000000000 +0100
@@ -185,14 +185,12 @@
       
       echo '<INPUT TYPE="text" NAME="time['.$i.'][1]" SIZE=2 VALUE="'.$time[$i][1].'"> &nbsp;'."\n";
       echo '<SELECT NAME="time['.$i.'][2]">
-             <OPTION VALUE=" "    '.chk_select($time[$i][2]," ").'>{ year }
-             <OPTION VALUE="1999" '.chk_select($time[$i][2],"1999").'>1999
-             <OPTION VALUE="2000" '.chk_select($time[$i][2],"2000").'>2000
-             <OPTION VALUE="2001" '.chk_select($time[$i][2],"2001").'>2001
-             <OPTION VALUE="2002" '.chk_select($time[$i][2],"2002").'>2002
-             <OPTION VALUE="2003" '.chk_select($time[$i][2],"2003").'>2003
-             <OPTION VALUE="2004" '.chk_select($time[$i][2],"2003").'>2004
-            </SELECT>';
+             <OPTION VALUE=" "    '.chk_select($time[$i][2]," ").'>{ year }';
+      $curryear=date("Y");
+      for($year=1999; $year<=$curryear; $year++) {
+         echo '<OPTION VALUE="'.$year.'"'.chk_select($time[$i][2],"'.$year.'").'>'.$year;
+      }
+      echo '</SELECT>';
 
       if ( $i == 0 ) echo '&nbsp; -- &nbsp;&nbsp;';
   }
--- acid_state_citems.inc.yearfix	2004-10-11 09:32:59.000000000 +0100
+++ acid_state_citems.inc	2024-10-10 00:02:14.000000000 +0100
@@ -732,12 +732,10 @@
          echo '                               <OPTION VALUE="12" '.chk_select($this->criteria[$i][2],"12").'>Dec</SELECT>';
          echo '<INPUT TYPE="text" NAME="time['.$i.'][3]" SIZE=2 VALUE="'.$this->criteria[$i][3].'">';
          echo '<SELECT NAME="time['.$i.'][4]"><OPTION VALUE=" "    '.chk_select($this->criteria[$i][4]," ").'>{ year }';
-         echo '                               <OPTION VALUE="1999" '.chk_select($this->criteria[$i][4],"1999").'>1999';
-         echo '                               <OPTION VALUE="2000" '.chk_select($this->criteria[$i][4],"2000").'>2000';
-         echo '                               <OPTION VALUE="2001" '.chk_select($this->criteria[$i][4],"2001").'>2001';
-         echo '                               <OPTION VALUE="2002" '.chk_select($this->criteria[$i][4],"2002").'>2002';
-         echo '                               <OPTION VALUE="2003" '.chk_select($this->criteria[$i][4],"2003").'>2003';
-         echo '                               <OPTION VALUE="2004" '.chk_select($this->criteria[$i][4],"2004").'>2004</SELECT>';
+         $curryear=date("Y");
+         for($year=1999; $year<=$curryear; $year++) {
+            echo '                               <OPTION VALUE="'.$year.'" '.chk_select($this->criteria[$i][4],$year).'>'.$year;
+	 }
 
          echo '<INPUT TYPE="text" NAME="time['.$i.'][5]" SIZE=2 VALUE="'.$this->criteria[$i][5].'"><B>:</B>';
          echo '<INPUT TYPE="text" NAME="time['.$i.'][6]" SIZE=2 VALUE="'.$this->criteria[$i][6].'"><B>:</B>';
